libvorbis documentation | libvorbis version 1.3.2 - 20101101

# vorbis_block_init

declared in "vorbis/codec.h";

This function initializes a vorbis_block structure and allocates its internal storage. A vorbis_block is used to represent a particular block of input audio which can be analyzed and coded as a unit.

    extern int      vorbis_block_init(vorbis_dsp_state *v, vorbis_block *vb);

### Parameters

v
  Pointer to an initialized vorbis_dsp_state with which to associate the new block.
vb
  Pointer to a vorbis_block struct to be initialized.

### Return Values

> - 0 for success

copyright © 2010 Xiph.Org | Ogg Vorbis
libvorbis documentation | libvorbis version 1.3.2 - 20101101